#ifndef MAINBTN_H
#define MAINBTN_H
#include <QFrame>
#include <QLabel>
#include <QPushButton>
#include <QStyleOption>
#include <QPaintEvent>
#include <QPainter>


class MainBtn:public QPushButton
{
    Q_OBJECT
public:
    MainBtn(QPushButton * parent =NULL);
    ~MainBtn();
    void  setTxt(QString str,QString str2,QString str3);
   // void  paintEvent(QPaintEvent* event);
    void   paintEvent(QPaintEvent* event)
    {
        QStyleOption opt;
        opt.init(this);
        QPainter p(this);
        style()->drawPrimitive(QStyle::PE_Widget, &opt, &p, this);
    }
signals:
   // void clicked();
protected:
    //virtual void mouseReleaseEvent(QMouseEvent * ev);
private:
    QLabel     m_labTxt;
    QLabel     m_labEgTxt;
    QLabel     m_labImage;
};
#endif // MAINBTN_H
